<template>
  <div class="login-page">
    <h1>Login Page</h1>
    <button @click="loginWithGoogle">Login with Google</button><br>
    <button @click="goToAboutPage">Повернутись назад</button>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'LoginPage',

  methods: {
    ...mapActions('auth', ['loginWithGoogle']),
    goToAboutPage(){
      this.$router.push('/')
    }
  },
};
</script>

<style lang="scss" scoped>
.login-page {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 81.1vh;
}

h1 {
  font-size: 2rem;
  margin-bottom: 20px;
}

button {
    background-color: #666; 
    color: #fff; 
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
  }
  
  button:hover {
    background-color: #444; 
  }
</style>
